jdk/test/sun/security/tools/keytool/printssl.sh
changeset 39737 4da8463b3d33
parent 39736 f939432eb32a
parent 39559 0bd60e219fd0
child 39738 15fea8b870eb
equal deleted inserted replaced
39736:f939432eb32a 39737:4da8463b3d33
     1 #
       
     2 # Copyright (c) 2008, 2014, Oracle and/or its affiliates. All rights reserved.
       
     3 # DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
       
     4 #
       
     5 # This code is free software; you can redistribute it and/or modify it
       
     6 # under the terms of the GNU General Public License version 2 only, as
       
     7 # published by the Free Software Foundation.
       
     8 #
       
     9 # This code is distributed in the hope that it will be useful, but WITHOUT
       
    10 # ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
       
    11 # FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
       
    12 # version 2 for more details (a copy is included in the LICENSE file that
       
    13 # accompanied this code).
       
    14 #
       
    15 # You should have received a copy of the GNU General Public License version
       
    16 # 2 along with this work; if not, write to the Free Software Foundation,
       
    17 # Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
       
    18 #
       
    19 # Please contact Oracle, 500 Oracle Parkway, Redwood Shores, CA 94065 USA
       
    20 # or visit www.oracle.com if you need additional information or have any
       
    21 # questions.
       
    22 #
       
    23 
       
    24 # @test
       
    25 # @bug 6480981
       
    26 # @summary keytool should be able to import certificates from remote SSL servers
       
    27 
       
    28 if [ "${TESTSRC}" = "" ] ; then
       
    29   TESTSRC="."
       
    30 fi
       
    31 if [ "${TESTJAVA}" = "" ] ; then
       
    32   echo "TESTJAVA not set.  Test cannot execute."
       
    33   echo "FAILED!!!"
       
    34   exit 1
       
    35 fi
       
    36 if [ "${COMPILEJAVA}" = "" ]; then
       
    37   COMPILEJAVA="${TESTJAVA}"
       
    38 fi
       
    39 
       
    40 # set platform-dependent variables
       
    41 OS=`uname -s`
       
    42 case "$OS" in
       
    43   SunOS | Linux | Darwin | AIX )
       
    44     FS="/"
       
    45     ;;
       
    46   CYGWIN* )
       
    47     FS="/"
       
    48     ;;
       
    49   Windows_* )
       
    50     FS="\\"
       
    51     ;;
       
    52   * )
       
    53     echo "Unrecognized operating system!"
       
    54     exit 1;
       
    55     ;;
       
    56 esac
       
    57 
       
    58 ${COMPILEJAVA}${FS}bin${FS}javac ${TESTJAVACOPTS} ${TESTTOOLVMOPTS} -d . ${TESTSRC}${FS}PrintSSL.java || exit 10
       
    59 ${TESTJAVA}${FS}bin${FS}java ${TESTVMOPTS} -Dtest.src=$TESTSRC PrintSSL | (
       
    60       read PORT
       
    61       if [ "$PORT" = "" ]; then
       
    62           echo "Server not started"
       
    63           exit 2
       
    64       else
       
    65           ${TESTJAVA}${FS}bin${FS}keytool ${TESTTOOLVMOPTS} -printcert -sslserver localhost:$PORT
       
    66       fi
       
    67 )
       
    68 status=$?
       
    69 
       
    70 rm PrintSSL*.class
       
    71 
       
    72 exit $status